# TdApi.BackgroundFillGradient (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BackgroundFillGradient

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BackgroundFillGradient

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BackgroundFill
it.tdlight.jni.TdApi.BackgroundFillGradient

Enclosing class:
  TdApi

public static final class TdApi.BackgroundFillGradient extends TdApi.BackgroundFill
Describes a gradient fill of a background.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bottomColor`
A bottom color of the background in the RGB24 format.
`static final int`
`CONSTRUCTOR`
`int`
`rotationAngle`
Clockwise rotation angle of the gradient, in degrees; 0-359.
`int`
`topColor`
A top color of the background in the RGB24 format.

## Constructor Summary

Constructors
Constructor
Description
`BackgroundFillGradient()`
Describes a gradient fill of a background.
`BackgroundFillGradient(int topColor, int bottomColor, int rotationAngle)`
Describes a gradient fill of a background.
`BackgroundFillGradient(DataInput input)`
Describes a gradient fill of a background.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### topColor

public int topColor
A top color of the background in the RGB24 format.

### bottomColor

public int bottomColor
A bottom color of the background in the RGB24 format.

### rotationAngle

public int rotationAngle
Clockwise rotation angle of the gradient, in degrees; 0-359. Must be always divisible by 45.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BackgroundFillGradient

public BackgroundFillGradient()
Describes a gradient fill of a background.

### BackgroundFillGradient

public BackgroundFillGradient(int topColor, int bottomColor, int rotationAngle)
Describes a gradient fill of a background.

Parameters:
  `topColor` - int A top color of the background in the RGB24 format.
  `bottomColor` - int A bottom color of the background in the RGB24 format.
  `rotationAngle` - int Clockwise rotation angle of the gradient, in degrees; 0-359. Must be always divisible by 45.

### BackgroundFillGradient

public BackgroundFillGradient(DataInput input) throws IOException
Describes a gradient fill of a background.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`